×
Blue Eagle 5 v1.5.4 has been Released (13 Sep 2020)

The Kunena team has announce the arrival of Kunena template Blue Eagle 5 v1.5.4 which is now available for download. This version addresses most of the issues that were discovered in development.

Bug [K.5.0.RC3] Apache 2.4 Error: Invalid URI in request GET

More
4 years 2 months ago - 4 years 2 months ago #1 by ssh
Tested with: Apache 2.4.20 + PHP 7.0.7 + J3.5.1 + K5.0.RC3 + Crypsis

Error:
[Mon Jun 27 17:02:03.548189 2016] [core:error] [pid 10118:tid 140547503159040] [client 66.102.8.235:52907] AH00126: Invalid URI in request GET /../images/stars.svg HTTP/1.1, referer: https://example.com/components/com_kunena/template/crypsis/assets/css/rating.css
Last edit: 4 years 2 months ago by ssh.

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #2 by xillibit

I don't provide support by PM, because this can be useful for someone else.
The following user(s) said Thank You: ssh

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #3 by ssh

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #4 by 810
i can't reproduce this issue:
Name	Protocol	Method	Result	Content type	Received	Time	Initiator
https://localhost/develop/components/com_kunena/template/crypsis/assets/images/stars.svg	HTTP	GET	200	image/svg+xml	(from cache)	0 s

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #5 by ssh
Your Apache version is 2.4?
MPM Event ?

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #6 by ssh
I have these packages installed:
apache24
apache24-config
apache24-config-runtime
apache24-mod_bwlimited
apache24-mod_cache
apache24-mod_cgid
apache24-mod_deflate
apache24-mod_expires
apache24-mod_headers
apache24-mod_mpm_event
apache24-mod_proxy
apache24-mod_proxy_http
apache24-mod_security2
apache24-mod_ssl
apache24-mod_suexec
apache24-mod_suphp
apache24-mod_unique_id
apache24-tools

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #7 by ssh
I haven't see any error in the frontend.
The error is in the Apache error_log file.
I have hundreds of lines with this error.

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #8 by ssh
I think it could be a relative/absolute URL problem
Please take a look:
www.experts-exchange.com/questions/27190...t-in-apache-log.html

Do you think this could be the case here?

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #9 by ssh
Please note that the IP address mentioned above in the error (66.102.8.235) is from a google bot (google-proxy-66-102-8-235.google.com.)

All the errors I have in my logs are from google.
Bots often make mistakes when crawling relative URL.

In fact, absolute URL is better than relative URL for search engines.

Here is an clear explanation:

Please Log in or Create an account to join the conversation.

More
4 years 2 months ago #10 by 810
try to change it to:
components\com_kunena\template\crypsis\assets\css\rating.css
line 34 and 51
background: url(../images/stars.svg);

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.125 seconds